group "PricingDays.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 5 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
dayType, ((dayDistribution, dayCount?) | (dayOfWeek[1..7], dayNumber?))

Content Model Elements (5):

  dayCount, dayDistribution, dayNumber, | dayOfWeek, dayType (defined in PricingDays.model group)

Known Usage Locations

- In definitions of global complexTypes (2):
  CommodityFx, CommodityPricingDates

Annotation
The different options for specifying which days are pricing days within a pricing period. Unless a lag element is present, the pricing period will be contained within the calculation period.
XML Source (w/o annotations (6); see within schema source)

<xsd:group name="PricingDays.model"> <xsd:sequence> <xsd:element name="dayType" type="CommodityDayTypeEnum"/> <xsd:choice> <xsd:sequence> <xsd:element name="dayDistribution" type="CommodityFrequencyType"/> <xsd:element minOccurs="0" name="dayCount" type="xsd:positiveInteger"/> </xsd:sequence> <xsd:sequence> <xsd:element maxOccurs="7" name="dayOfWeek" type="DayOfWeekEnum"/> <xsd:element minOccurs="0" name="dayNumber" type="xsd:integer"/> </xsd:sequence> </xsd:choice> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 5/5)
dayCount

  Type: | xsd:positiveInteger, predefined, simple content

  The number of days over which pricing should take place.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayCount" type="xsd:positiveInteger"/>

dayDistribution

  Type: | CommodityFrequencyType, simple content

  The method by which the pricing days are distributed across the pricing period.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="dayDistribution" type="CommodityFrequencyType"/>

dayNumber

  Type: | xsd:integer, predefined, simple content

  The occurrence of the dayOfWeek within the pricing period on which pricing will take place, e.g. the 3rd Friday within each Calculation Period. If omitted, every dayOfWeek will be a pricing day.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayNumber" type="xsd:integer"/>

dayOfWeek

  Type: | DayOfWeekEnum, simple content

  The day(s) of the week on which pricing will take place during the pricing period.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "MON" | - | Monday See: http://www.FpML.org
  "TUE" | - | Tuesday See: http://www.FpML.org
  "WED" | - | Wednesday See: http://www.FpML.org
  "THU" | - | Thursday See: http://www.FpML.org
  "FRI" | - | Friday See: http://www.FpML.org
  "SAT" | - | Saturday See: http://www.FpML.org
  "SUN" | - | Sunday See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="7" name="dayOfWeek" type="DayOfWeekEnum"/>

dayType

  Type: | CommodityDayTypeEnum, simple content

  The type of day on which pricing occurs.
  Simple Content

  ("Business" | "Calendar" | "CommodityBusiness" | "CurrencyBusiness" | "ExchangeBusiness" | "ScheduledTradingDay") | "GasFlow"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="dayType" type="CommodityDayTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.